# Command Line password and passphrase generator.

Command line application to generate passwords or a phrase composed of several words. 
It is possible to use one or more collections as source to create them.

[![passwd_gen](https://bitbucket.org/kurdy/passwd-gen-cli/downloads/passwd_gen.gif)](https://bitbucket.org/kurdy/passwd-gen-cli/downloads/passwd_gen_H265.mp4)

## Install

### From source

You need Dart [Get the Dart SDK](https://dart.dev/get-dart)

#### Get source 
```shell
git clone https://bitbucket.org/kurdy/passwd-gen-cli.git
```

#### At the root of the source directory 

##### tests
```shell
dart test
```
> 00:09 +19: All tests passed! 

##### compile & build

```shell
dart2native ./bin/passwd_gen_cli.dart -o ./build/passwd_gen
```

##### howto

See [Examples](https://bitbucket.org/kurdy/passwd-gen-cli/src/master/example/example.md)

### From binaries

* [Download ...](https://bitbucket.org/kurdy/passwd-gen-cli/downloads/)
    * [passwd_gen-linux-x86_64-1.0.0.rc.1.tar.gz](https://bitbucket.org/kurdy/passwd-gen-cli/downloads/passwd_gen-linux-x86_64-1.0.0.rc.1.tar.gz)
    * [passwd_gen-linux-aarch64-1.0.0.rc.1.tar.gz](https://bitbucket.org/kurdy/passwd-gen-cli/downloads/passwd_gen-linux-aarch64-1.0.0.rc.1.tar.gz)
    * [passwd_gen-windows-x86_64-1.0.0.rc.1.zip](https://bitbucket.org/kurdy/passwd-gen-cli/downloads/passwd_gen-windows-x86_64-1.0.0.rc.1.zip)

## Notes

* Based on lib pub.dev [passwd_gen](https://pub.dev/packages/passwd_gen)

